// for animations
// add the .animate__animated class to html element
//if the element should be animated only once, add this class : .animated_once
// animation types : fadeInRight - fadeInLeft - fadeInUp - fadeInDown
// for delay : animation-delay: 5s;
@mixin inView ($type) {
    animation: $type;
    animation-duration: 1s; 
    visibility: visible;
}

#services .circles_row {
    visibility: hidden;
    &.in_view {
        @include inView ('fadeInUp');
    }
}

#projects .row.animate__animated {
    visibility: hidden;
    &.in_view {
        @include inView ('fadeIn');
    }
}

#partnership .hexagonal_row {
    visibility: hidden;
    &.in_view {
        @include inView ('fadeInUp');
    }
}

#sevices_links {
    visibility: hidden;
    &.in_view {
        @include inView ('fadeIn');
    }
}

#knowledge .knowledge_container .pic {
    visibility: hidden;
    &.in_view {
        @include inView ('fadeInUp');
    }
}

#partners {
    overflow: hidden;
    .logos > div {
        visibility: hidden;
        &.in_view {
            @include inView ('fadeInUp');
        }
    }
}

#events {
    overflow: hidden;
    .other_evts .three.columns {
        visibility: hidden;
        &.in_view {
            @include inView ('fadeInUp');
        }
        &:nth-of-type(1) {
            animation-duration: 0.4s;
        }
        &:nth-of-type(2) {
            animation-duration: 0.6s;
        }
        &:nth-of-type(3) {
            animation-duration: 0.8s;
        }
        &:nth-of-type(4) {
            animation-duration: 1s;
        }
    }
}